
package de.ivu.elect.dokumente.ergebnistabelle.gruppen;

import java.util.List;

import de.ivu.elect.business.gebietsbaum.entity.Wahldurchfuehrungsgebiet;
import de.ivu.elect.dokumente.ergebnistabelle.ErgebnistabelleDocumentColumn;

public class GruppenErgebnistabelleDocumentSeitenSchluessel {

  private final Wahldurchfuehrungsgebiet wahlgebiet;

  private final List<ErgebnistabelleDocumentColumn> spalten;

  private final List<GruppenErgebnistabelleZeilenSchluessel> zeilen;

  private final boolean folgeseite;

  public GruppenErgebnistabelleDocumentSeitenSchluessel(Wahldurchfuehrungsgebiet wahlgebiet, List<ErgebnistabelleDocumentColumn> spalten, List<GruppenErgebnistabelleZeilenSchluessel> zeilen,
      boolean folgeseite) {
    super();

    this.wahlgebiet = wahlgebiet;

    this.spalten = spalten;
    this.zeilen = zeilen;

    this.folgeseite = folgeseite;
  }

  public Wahldurchfuehrungsgebiet getWahlgebiet() {
    return wahlgebiet;
  }

  public List<ErgebnistabelleDocumentColumn> getSpalten() {
    return spalten;
  }

  public List<GruppenErgebnistabelleZeilenSchluessel> getZeilen() {
    return zeilen;
  }

  public boolean isFolgeseite() {
    return folgeseite;
  }
}
